\usepackage[utf8]{inputenc}
\usepackage[german]{babel}
\usepackage{hyperref}
\usepackage{color, colortbl}
\usepackage[noend]{algpseudocode}

\usepackage{beamercmds}
\usepackage{listingcmds}

\AtBeginLecture{}

\AtBeginPart{
  \partcontentframe
}

\AtBeginSection{
  \sectioncontentframe
}

%\AtBeginSubsection{
%  \subsectioncontentframe
%}

\newcommand{\positive}{\color{ForestGreen}\textbf{+}}
\newcommand{\negative}{\color{Red}\textbf{--\,}}
\renewcommand{\gets}{:=}

\usepackage{tikz}
\usepackage{tikz-uml}
\usetikzlibrary{positioning}